Update a delivery note

Update an existing delivery note. All fields are optional - only provided fields will be updated. If order lines are provided, they will replace all existing order lines in the delivery note. Note: The created_by field cannot be updated as it represents the original creator.

Path Params
string
required

The ID of the outlet

string
required

The ID of the delivery note to update

Body Params
purchase_order

The purchase order reference. If changed, the supplier will be updated accordingly.

string

Delivery Note Number

date-time

Document Date/time

date-time

Delivery Date/time

string

Customer number

float

Delivery fee

order_lines
array of objects
length ≥ 1

List of delivery note order lines. If provided, will replace all existing order lines.

order_lines
integer
required

Line number of the item in the document

string
required

Supplier Article number

string
required

Article name

float
required

Delivered quantity

string
float
float
string
string
string
boolean
Defaults to false
float
string
string
float

Total line price (as stated on Delivery Note - if any)

string

VAT-code (can be used for (external) VAT mapping later on)

returnables
array of objects

List of returnable items. If provided, replaces all existing returnables. If omitted, existing returnables are preserved.

returnables
Responses
204

Delivery note updated successfully

400

Bad request - validation error

404

Delivery note not found

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here!